<?xml version="1.0" encoding="UTF-8" ?>
<!-- Version 1.0.0 (06 June 2008) -->
<!-- Created by thc1967 http://www.thc1967.com/" -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="no" encoding="UTF-8"/>
  <xsl:template match="/character">

  <xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
  <xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>
  
  <xsl:variable name="portrait-image" select="Portrait"/>
  
<html>
<head>
<title><xsl:value-of select="nameCharacter"/></title>
<style>
body, p, td, th { font-size: 9pt; font-family: Calibri, Trebuchet MS, Verdana, Arial, Sans,  Helvetica; }

.borderThin { border: 1px Solid Black; }
.borderMed { border: 2px Solid Black; }
.borderTopThin { border-top: 1px Solid Black; }
.borderTopMed { border-top: 2px Solid Black; }
.borderBotThin { border-bottom: 1px Solid Black; }
.borderBotMed { border-bottom: 2px Solid Black; }
.borderRightThin { border-right: 1px Solid Black; }
.borderRightMedwhite { border-right: 2px Solid White; }

.txtHiddenBorderMed { border: 2px Solid White; }
.txtInverted { background-color: Black; color: White; }
.txtInvertedBorderMed { background-color: Black; color: White; border: 2px Solid Black; }
.txtShaded { background-color: #EEEEEE; }
.txtDaily { background-color: #EEEEEE }
.txtEncounter { background-color: #ffcccc; }
.txtAtWill { background-color: #ccffcc; }

.txtSymbol5 { font-family: Wingdings; font-size: 5pt; }
.txtSymbol6 { font-family: Wingdings; font-size: 6pt; }
.txtSymbol7 { font-family: Wingdings; font-size: 7pt; }
.txtSymbol8 { font-family: Wingdings; font-size: 8pt; }
.txtSymbol { font-family: Wingdings; }
.txtSmall { font-size: 7pt; }
.txtTiny { font-size: 6pt; }
.txtDnDAttackType { font-family: D&amp;D 4e icons; }

.powerName { font-family: Cambria, Times New Roman, Times, Serif; font-size: 12pt; font-variant: small-caps; font-weight: Bold; }
.powerDesc { background-color: #EEEEEE; }
.hdrDaily { background-color: #000000; color: #FFFFFF; }
.hdrEncounter { background-color: #6F0000; color: #FFFFFF; }
.hdrAtWill { background-color: #006F00; color: #FFFFFF; }
.hdrInterrupt { background-color: #CCFFCC; color: #000000; }
.hdrUnknown { background-color: #CCCCCC; color: #000000; }

.ritualName { font-family: Cambria, Times New Roman, Times, Serif; font-size: 12pt; font-variant: small-caps; font-weight: Bold; }
</style>
</head>
<body>

<!-- Names -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="34%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCharacter"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="namePlayer"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCampaign"/></td>
  </tr>
  <tr valign="Top">
    <td class="borderTopMed"><span class="txtTiny">CHARACTER</span></td>
    <td class="borderTopMed"><span class="txtTiny">PLAYER</span></td>
    <td class="borderTopMed"><span class="txtTiny">CAMPAIGN</span></td>
  </tr>
</table>

<!-- Row 2 -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="top">
    
    <!-- Portrait -->
    <td width="17%" align="Center" valign="Middle">
      <xsl:choose>
      <xsl:when test="$portrait-image != ''">
      <img src="{$portrait-image}" height="140"/>
      </xsl:when>
      <xsl:otherwise>
      (PORTRAIT)
      </xsl:otherwise>
      </xsl:choose>
    </td>
    
    <td width="0%"> </td>
  
    <td width="17%">
      <!-- Abilities -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="6" align="Center"><b>ABILITIES</b></td>
        </tr>
        <tr valign="Top">
          <td width="25%"> </td>
          <td width="25%" align="Center"><span class="txtTiny">SCORE</span></td>
          <td width="01%"> </td>
          <td width="24%" align="Center"><span class="txtTiny">MODIFIER</span></td>
          <td width="01%"> </td>
          <td width="24%" align="Center"><span class="txtTiny">+ &#189; LVL</span></td>
        </tr>
        <xsl:for-each select="Abilities/Ability">
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b><xsl:value-of select="Name"/></b></td>
          <td class="borderMed" align="Center"><xsl:value-of select="Total"/></td>
          <td> </td>
          <td class="borderMed" align="Center"><xsl:value-of select="Mod"/></td>
          <td> </td>
          <td class="borderMed" align="Center"><xsl:value-of select="ModPlusHalf"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="5"></td></tr>
        </xsl:for-each>
      </table>
    </td>
    
    <td width="0%"> </td>
    
    <!-- Combat -->
    <td width="16%">
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="2" align="Center"><b>COMBAT</b></td>
        </tr>
        <tr valign="Top">
          <td width="30%"> </td>
          <td width="10%" align="Center"><span class="txtTiny">TOTAL</span></td>
        </tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>INITIATIVE</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Initiative"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="2"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>SPEED</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Speed"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="2"></td></tr>
        <tr valign="Top"><td class="txtInvertedBorderMed" colspan="2" align="Center"><b>ACTION POINTS</b></td></tr>
        <tr style="height: 2px"><td colspan="2"></td></tr>
        <tr valign="Top">
          <td class="borderMed" colspan="2" align="Center">
            <span class="txtTiny">ACTION POINTS EARNED</span><br />
            <span class="txtSymbol">mmmmm mmmmm</span>
          </td>
        </tr>
        <tr style="height: 2px"><td colspan="2"></td></tr>
        <tr valign="Top">
          <td class="borderMed" colspan="2" align="Center">
            <span class="txtTiny">ACTION POINTS USED</span><br />
            <span class="txtSymbol">mmmmm mmmmm</span>
          </td>
        </tr>
      </table>
    </td>
    
    <!-- Defense -->
    <td width="16%">
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="2" align="Center"><b>DEFENSE</b></td>
        </tr>
        <tr valign="Top">
          <td width="30%"> </td>
          <td width="10%" align="Center"><span class="txtTiny">TOTAL</span></td>
        </tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>ARMOR CLASS</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="AC"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>FORTITUDE</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="FORT"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>REFLEX</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="REF"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>WILL</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="WILL"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="borderMed" align="Center"><b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="res1Name"/></b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="res1Total"/></td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="borderMed" align="Center"><b><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="res2Name"/></b></td>
          <td class="borderMed"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="res2Total"/></td>
        </tr>
      </table>
    </td>
  
    <!-- Hit Points -->
    <td width="33%">
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="8" align="Center"><b>HIT POINTS &amp; HEALING</b></td>
        </tr>
        <tr valign="Top">
          <td width="30%"> </td>
          <td width="15%" align="Center"><span class="txtTiny">TOTAL</span></td>
          <td width="02%"> </td>
          <td width="53%" align="Center"><span class="txtTiny">CURRENT HIT POINTS</span></td>
        </tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>HIT POINTS</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="HP"/></td>
          <td> </td>
          <td class="borderThin" rowspan="9"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
        </tr>
        <tr style="height: 2px"><td colspan="3"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>BLOODIED</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Bloodied"/></td>
          <td> </td>
        </tr>
        <tr style="height: 2px"><td colspan="3"></td></tr>
        <tr><td colspan="3" class="txtHiddenBorderMed"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></tr>
        <tr style="height: 2px"><td colspan="3"></td></tr>
        <tr valign="Middle">
          <td class="txtInvertedBorderMed" align="Center" colspan="2"><b>HEALING SURGES<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></b></td>
          <td> </td>
        </tr>
        <tr style="height: 2px"><td colspan="3"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>HP HEALED</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="hsHealed"/></td>
          <td> </td>
        </tr>
        <tr style="height: 2px"><td colspan="4"></td></tr>
        <tr valign="Middle">
          <td class="txtInverted" align="Center"><b>PER DAY</b></td>
          <td class="borderMed" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="hsPerDay"/></td>
          <td> </td>
          <td class="txtSymbol7">mmmmm mmmmm mmmmm</td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<!-- Table: Row 4 -->
<table border="0" bordercolor="Red" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="top">
  
    <!-- Skills -->
    <td width="17%">
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top"><td class="txtInverted" colspan="3" align="Center"><b>SKILLS</b></td></tr>
        <tr valign="Top">
          <td width="05%"></td>
          <td width="75%" align="Center"><span class="txtTiny">SKILL</span></td>
          <td width="20%" align="Center"><span class="txtTiny">TOTAL</span></td>
        </tr>
        <xsl:for-each select="Skills/Skill[Trained = 'z']">
        <xsl:sort select="Name"/>
        <tr valign="Middle"><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
          <td class="txtSymbol7"><xsl:value-of select="Trained"/></td>
          <td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="translate(Name,$lcletters,$ucletters)"/></td>
          <td class="borderThin" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Total"/></td>
        </tr>
        </xsl:for-each>
        <xsl:for-each select="Skills/Skill[Trained != 'z']">
        <xsl:sort select="Name"/>
        <tr valign="Middle"><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
          <td class="txtSymbol7"><xsl:value-of select="translate(Trained,$ucletters,$lcletters)"/></td>
          <td><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="translate(Name,$lcletters,$ucletters)"/></td>
          <td class="borderThin" align="Center"><xsl:if test="Total &gt;=0"><xsl:text>+</xsl:text></xsl:if><xsl:value-of select="Total"/></td>
        </tr>
        </xsl:for-each>
        <tr>
          <td class="txtSmall" colspan="2" align="Center">
            <span class="txtSymbol7">z</span> - PASSIVE | 
            <span class="txtSymbol7">l</span> - TRAINED
          </td>
        </tr>
      </table>
      <!-- Languages -->
      <br />
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top"><td class="txtInverted" align="Center"><b>LANGUAGES</b></td></tr>
        <xsl:for-each select="Languages/Language[Name != '']">
        <xsl:sort select="Name"/>
        <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if><td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td></tr>
        </xsl:for-each>
        <xsl:for-each select="Languages/Language[Name = '']">
        <tr><td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td></tr>
        </xsl:for-each>
      </table>
    </td>
    
    <td width="0%"> </td>
    
    <td width="17%">
      <!-- Classes -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="3" align="Center"><b>CLASSES &amp; PROGRESSION</b></td>
        </tr>
        <tr>
          <td width="73%">
            <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Class/Name"/>
          </td>
          <td width="02%"> </td>
          <td width="25%" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Class/Level"/></td>
        </tr>
        <tr valign="Top">
          <td class="borderTopThin"><span class="txtTiny">CLASS</span></td>
          <td> </td>
          <td class="borderTopThin" align="Center"><span class="txtTiny">LEVEL</span></td>
        </tr>
        <tr><td colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Class/ParagonPath"/></td></tr>
        <tr><td class="borderTopThin" colspan="3"><span class="txtTiny">PARAGON PATH</span></td></tr>
        <tr><td colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Class/EpicDestiny"/></td></tr>
        <tr><td class="borderTopThin" colspan="3"><span class="txtTiny">EPIC DESTINY</span></td></tr>
        <tr><td colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Class/Experience"/></td></tr>
        <tr><td class="borderTopThin" colspan="3"><span class="txtTiny">CURRENT EXPERIENCE</span></td></tr>
        <tr><td colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td></tr>
        <tr><td class="borderTopThin" colspan="3"><span class="txtTiny">EXPERIENCE GAINED</span></td></tr>
      </table>
      <br />
      <!-- Feats -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top"><td class="txtInverted" colspan="2" align="Center"><b>RACIAL &amp; CLASS &amp; FEATS</b></td></tr>
        <tr>
          <td width="90%" class="txtTiny">NAME</td>
          <td width="10%" class="txtTiny" align="Center">PAGE</td>
        </tr>
        <tr class="txtShaded">
          <td class="borderBotThin" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;Vision: </xsl:text><xsl:value-of select="Vision"/></td>
        </tr>
        <xsl:for-each select="Feats/Feat">
        <tr><xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
        <xsl:if test="Name != ''">
          <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
          <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Source"/> <xsl:value-of select="Page"/></td>
        </xsl:if>
        <xsl:if test="Name = ''">
          <td class="borderBotThin" colspan="2"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
        </xsl:if>
        </tr>
        </xsl:for-each>
      </table>
    </td>
    
    <td width="0%"> </td>
  
    <td width="66%">
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="top">
          <td colspan="5">
            <!-- Favorite Attacks -->
            <table border="0" width="100%" cellpadding="0" cellspacing="0">
              <tr valign="Top"><td class="txtInverted" colspan="8" align="Center"><b>FAVORITE ATTACKS</b></td></tr>
              <tr valign="Top">
                <td width="05%" align="Center"><span class="txtTiny">TYPE</span></td>
                <td width="25%" align="Center"><span class="txtTiny">ATTACK / POWER</span></td>
                <td width="12%" align="Center"><span class="txtTiny">FREQ</span></td>
                <td width="13%" align="Center"><span class="txtTiny">ACTION</span></td>
                <td width="10%" align="Center"><span class="txtTiny">ATTACK</span></td>
                <td width="10%" align="Center"><span class="txtTiny">DAMAGE</span></td>
                <td width="10%" align="Center"><span class="txtTiny">RANGE</span></td>
                <td width="15%" align="Center"><span class="txtTiny">AMMUNITION</span></td>
              </tr>
              <xsl:for-each select="Attacks/Attack">
              <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
              <xsl:if test="Name != ''">
                <td class="borderBotThin" align="Center">
                  <xsl:if test="Notes != ''"><xsl:attribute name="rowspan">2</xsl:attribute></xsl:if>
                  <span class="txtDnDAttackType"><xsl:value-of select="Type"/></span>
                </td>
                <td><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:value-of select="Name"/></td>
                <td align="Center"><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Freq"/></td>
                <td align="Center"><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Action"/></td>
                <td align="Center"><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Bonus"/><xsl:text> vs. </xsl:text><xsl:value-of select="Defense"/></td>
                <td align="Center"><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Damage"/></td>
                <td align="Center"><xsl:if test="Notes = ''"><xsl:attribute name="class">borderBotThin</xsl:attribute></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Range"/></td>
                <td align="Center" class="borderBotThin" nowrap="yes">
                  <xsl:if test="Notes != ''"><xsl:attribute name="rowspan">2</xsl:attribute></xsl:if>
                  <span class="txtSymbol5">mmmmm mmmmm<br />mmmmm mmmmm</span>
                </td>
              </xsl:if>
              <xsl:if test="Name = ''">
                <td class="borderBotThin" colspan="7"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
                <td class="borderBotThin" align="Center" nowrap="yes"><span class="txtSymbol5">mmmmm mmmmm<br />mmmmm mmmmm</span></td>
              </xsl:if>
              </tr>
              <xsl:if test="Notes != ''">
              <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
                <td class="borderBotThin" colspan="6" align="Left"><xsl:value-of select="Notes"/></td>
              </tr>
              </xsl:if>
              </xsl:for-each>
            </table>
          </td>
        </tr>
        <tr style="height: 4px"><td colspan="5"></td></tr>
        <tr valign="top">
          <td width="34%">
            <!-- Equipped Items -->
            <table border="0" width="100%" cellpadding="0" cellspacing="0" class="borderRightMedWhite">
              <tr valign="Top"><td class="txtInverted" colspan="3" align="Center"><b>EQUIPPED ITEMS</b></td></tr>
              <tr>
                <td width="10%" class="txtTiny" align="Center">SLOT</td>
                <td width="70%" class="txtTiny" align="Center">ITEM NAME</td>
                <td width="20%" class="txtTiny" align="Center">WEIGHT</td>
              </tr>
              <xsl:for-each select="Equipped/Equipped">
              <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
                <td class="borderBotThin" nowrap="true"><span class="txtSmall"><xsl:value-of select="Loc"/></span></td>
                <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Weight"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              </xsl:for-each>
            </table>
          </td>
          <td width="33%">
            <!-- Equipment - first 25% -->
            <table border="0" width="100%" cellpadding="0" cellspacing="0" class="borderRightMedWhite">
              <tr valign="Top"><td class="txtInverted" colspan="3" align="Center"><b>EQUIPMENT</b></td></tr>
              <tr>
                <td align="Center"><span class="txtTiny">QTY</span></td>
                <td align="Center"><span class="txtTiny">ITEM NAME</span></td>
                <td align="Center"><span class="txtTiny">WEIGHT</span></td>
              </tr>
              <xsl:for-each select="Equipment/Equipment">
              <xsl:if test="position() &lt;= 10">
              <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
                <xsl:if test="Name != ''">
                <td class="borderBotThin" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Qty"/></td>
                <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Weight"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
                </xsl:if>
                <xsl:if test="Name = ''">
                <td class="borderBotThin" colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
                </xsl:if>
              </tr>
              </xsl:if>
              </xsl:for-each>
            </table>
          </td>
          <td width="0%"> </td>
          <td width="33%">
            <!-- Wealth & Currency -->
            <table border="0" width="100%" cellpadding="0" cellspacing="0" class="borderRightMedWhite">
              <tr valign="Top">
                <td class="txtInverted" colspan="2" align="Center"><b>WEALTH</b></td>
              </tr>
              <tr>
                <td class="txtTiny" colspan="2" align="Center">COINS &amp; CURRENCY</td>
              </tr>
              <tr>
                <td width="40%" class="txtSmall">AD:</td>
                <td width="60%" class="borderBotThin" align="Right"><xsl:value-of select="AD"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              <tr>
                <td class="txtSmall">PLATINUM:</td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Platinum"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              <tr>
                <td class="txtSmall">GOLD:</td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Gold"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              <tr>
                <td class="txtSmall">SILVER:</td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Silver"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              <tr>
                <td class="txtSmall">COPPER:</td>
                <td class="borderBotThin" align="Right"><xsl:value-of select="Copper"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </tr>
              <tr><td colspan="2" height="2px"></td></tr>
              <tr valign="Top"><td colspan="2" height="80px" class="borderThin" align="Center"><span class="txtSmall">ACQUISITIONS &amp; EXPENDITURES</span></td></tr>
            </table>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<!-- New Page -->
<br style="PAGE-BREAK-AFTER: always"/>

<!-- Names -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="34%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCharacter"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="namePlayer"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCampaign"/></td>
  </tr>
  <tr valign="Top">
    <td class="borderTopMed"><span class="txtTiny">CHARACTER</span></td>
    <td class="borderTopMed"><span class="txtTiny">PLAYER</span></td>
    <td class="borderTopMed"><span class="txtTiny">CAMPAIGN</span></td>
  </tr>
</table>

<!-- Basic Descriptive Info -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="30%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Race/Name"/></td>
    <td width="05%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Age"/></td>
    <td width="05%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Size"/></td>
    <td width="05%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Height"/></td>
    <td width="05%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Weight"/></td>
    <td width="15%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Gender"/></td>
    <td width="20%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Alignment"/></td>
    <td width="15%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Deity"/></td>
  </tr>
  <tr valign="Top">
    <td class="borderTopThin"><span class="txtTiny">RACE</span></td>
    <td class="borderTopThin"><span class="txtTiny">AGE</span></td>
    <td class="borderTopThin"><span class="txtTiny">SIZE</span></td>
    <td class="borderTopThin"><span class="txtTiny">HEIGHT</span></td>
    <td class="borderTopThin"><span class="txtTiny">WEIGHT</span></td>
    <td class="borderTopThin"><span class="txtTiny">GENDER</span></td>
    <td class="borderTopThin"><span class="txtTiny">ALIGNMENT</span></td>
    <td class="borderTopThin"><span class="txtTiny">DEITY</span></td>
  </tr>
</table>

<!-- Row 3 -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="25%">
      <!-- Assets -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top">
          <td class="txtInverted" colspan="3" align="Center"><b>ASSETS</b></td>
        </tr>
        <tr>
          <td width="50%">
            <table border="0" width="100%" cellpadding="0" cellspacing="0">
              <tr>
                <td width="10%" class="txtTiny" align="Center">QTY</td>
                <td width="70%" class="txtTiny" align="Center">ITEM NAME</td>
                <td width="20%" class="txtTiny" align="Center">LOCATION</td>
              </tr>
              <xsl:for-each select="Assets/Asset">
              <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
              <xsl:if test="Name != ''">
                <td class="borderBotThin" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Qty"/></td>
                <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
                <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Loc"/></td>
              </xsl:if>
              <xsl:if test="Name = ''">
                <td class="borderBotThin" colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
              </xsl:if>
              </tr>
              </xsl:for-each>
            </table>
          </td>
        </tr>
      </table>
    </td>
    <td width="25%">
      <!-- Feats w/ Descriptions -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top"><td class="txtInverted" align="Center"><b>RACIAL &amp; CLASS &amp; FEAT DESCRIPTIONS</b></td></tr>
        <xsl:for-each select="Feats/Feat[Name != '' and Desc != '']">
        <xsl:sort select="Name"/>
        <tr class="txtShaded">
          <td>
            <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><b><xsl:value-of select="Name"/></b>
            <xsl:if test="Page != ''"> (<xsl:value-of select="Source"/> <xsl:value-of select="Page"/>)</xsl:if>
          </td>
        </tr>
        <tr>
          <td class="borderBotThin"><xsl:value-of select="Desc"/></td>
        </tr>
        </xsl:for-each>
      </table>
    </td>
    <td width="25%">
      <!-- Last 75% of Equipment -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0" class="borderRightMedWhite">
        <tr valign="Top"><td class="txtInverted" colspan="3" align="Center"><b>EQUIPMENT</b></td></tr>
        <tr>
          <td align="Center"><span class="txtTiny">QTY</span></td>
          <td align="Center"><span class="txtTiny">ITEM NAME</span></td>
          <td align="Center"><span class="txtTiny">WEIGHT</span></td>
        </tr>
        <xsl:for-each select="Equipment/Equipment">
        <xsl:if test="position() &gt; 10">
        <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
          <xsl:if test="Name != ''">
          <td class="borderBotThin" align="Center"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Qty"/></td>
          <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
          <td class="borderBotThin" align="Right"><xsl:value-of select="Weight"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
          </xsl:if>
          <xsl:if test="Name = ''">
          <td class="borderBotThin" colspan="3"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
          </xsl:if>
        </tr>
        </xsl:if>
        </xsl:for-each>
      </table>
    </td>
    <td width="25%">
      <!-- Powers -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0">
        <tr valign="Top"><td class="txtInverted" align="Center"><b>POWERS</b></td></tr>
        <xsl:for-each select="Powers/Power[Name != '']">
        <xsl:sort select="Name"/>
        <tr><xsl:if test="position() mod 2 = 1"><xsl:attribute name="class">txtShaded</xsl:attribute></xsl:if>
          <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="Name"/></td>
        </tr>
        </xsl:for-each>
        <xsl:for-each select="Powers/Power[Name = '']">
        <tr>
          <td class="borderBotThin"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></td>
        </tr>
        </xsl:for-each>
      </table>
      <br />
      <!-- Description -->
      <table border="0" width="100%" cellpadding="0" cellspacing="0" class="borderThin">
        <tr valign="Top"><td class="txtInverted" align="Center"><b>CHARACTER DESCRIPTION</b></td></tr>
        <tr valign="Top" style="height: 195px;">
          <td>
            <xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><br />
            <xsl:call-template name="format-literal-content-helper">
                <xsl:with-param name="text" select="Description"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </td>
  </tr>
</table>

<!-- Power Cards Page -->
<xsl:if test="count(Powers/Power[PowerCard != '']) &gt; 0">
<!-- New Page -->
<br style="PAGE-BREAK-AFTER: always"/>

<!-- Names -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="34%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCharacter"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="namePlayer"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCampaign"/></td>
  </tr>
  <tr valign="Top">
    <td class="borderTopMed"><span class="txtTiny">CHARACTER</span></td>
    <td class="borderTopMed"><span class="txtTiny">PLAYER</span></td>
    <td class="borderTopMed"><span class="txtTiny">CAMPAIGN</span></td>
  </tr>
</table>

<!-- Power Cards -->
<table border="0" width="100%" cellpadding="0" cellspacing="5">
  <tr valign="Top">
    <td width="25%">
      <xsl:for-each select="Powers/Power[Name != '' and PowerCard != '']">
      <xsl:sort select="Frequency"/>
      <xsl:if test="position() mod 4 = 1">
      <xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="PowerCard"/></xsl:call-template>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Powers/Power[Name != '' and PowerCard != '']">
      <xsl:sort select="Frequency"/>
      <xsl:if test="position() mod 4 = 2">
      <xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="PowerCard"/></xsl:call-template>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Powers/Power[Name != '' and PowerCard != '']">
      <xsl:sort select="Frequency"/>
      <xsl:if test="position() mod 4 = 3">
      <xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="PowerCard"/></xsl:call-template>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Powers/Power[Name != '' and PowerCard != '']">
      <xsl:sort select="Frequency"/>
      <xsl:if test="position() mod 4 = 0">
      <xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="PowerCard"/></xsl:call-template>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
  </tr>
</table>
</xsl:if>

<!-- Rituals Page -->
<xsl:if test="count(Rituals/Ritual[Name != '']) &gt; 0">
<!-- New Page -->
<br style="PAGE-BREAK-AFTER: always"/>

<!-- Names -->
<table border="0" width="100%" cellpadding="0" cellspacing="2">
  <tr valign="Top">
    <td width="34%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCharacter"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="namePlayer"/></td>
    <td width="33%"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="nameCampaign"/></td>
  </tr>
  <tr valign="Top">
    <td class="borderTopMed"><span class="txtTiny">CHARACTER</span></td>
    <td class="borderTopMed"><span class="txtTiny">PLAYER</span></td>
    <td class="borderTopMed"><span class="txtTiny">CAMPAIGN</span></td>
  </tr>
</table>

<!-- Rituals -->
<table border="0" width="100%" cellpadding="0" cellspacing="5">
  <tr valign="Top">
    <td width="25%">
      <xsl:for-each select="Rituals/Ritual[Name != '']">
      <xsl:sort select="Level"/>
      <xsl:sort select="Name"/>
      <xsl:if test="position() mod 4 = 1">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr><td class="ritualName"><xsl:value-of select="Name"/></td></tr>
        <tr valign="Top">
          <td>
            <xsl:if test="FlavorText != ''"><i><xsl:value-of select="FlavorText"/></i><br /></xsl:if>
            <xsl:if test="Level != ''"><b>Level:</b><xsl:text> </xsl:text><xsl:value-of select="Level"/><br /></xsl:if>
            <xsl:if test="Category != ''"><b>Category:</b><xsl:text> </xsl:text><xsl:value-of select="Category"/><br /></xsl:if>
            <xsl:if test="Time != ''"><b>Time:</b><xsl:text> </xsl:text><xsl:value-of select="Time"/><br /></xsl:if>
            <xsl:if test="Duration != ''"><b>Duration:</b><xsl:text> </xsl:text><xsl:value-of select="Duration"/><br /></xsl:if>
            <xsl:if test="CompCost != ''"><b>Component Cost:</b><xsl:text> </xsl:text><xsl:value-of select="CompCost"/><br /></xsl:if>
            <xsl:if test="Skill != ''"><b>Skill:</b><xsl:text> </xsl:text><xsl:value-of select="Skill"/><br /></xsl:if>
            <xsl:if test="Source != ''"><b>Source:</b><xsl:text> </xsl:text><xsl:value-of select="Source"/><xsl:if test="Page != ''"><xsl:text> </xsl:text><xsl:value-of select="Page"/></xsl:if><br /></xsl:if>
            <xsl:if test="Desc != ''"><xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="Desc"/></xsl:call-template></xsl:if>
          </td>
        </tr>
      </table>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Rituals/Ritual[Name != '']">
      <xsl:sort select="Level"/>
      <xsl:sort select="Name"/>
      <xsl:if test="position() mod 4 = 2">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr><td class="ritualName"><xsl:value-of select="Name"/></td></tr>
        <tr valign="Top">
          <td>
            <xsl:if test="FlavorText != ''"><i><xsl:value-of select="FlavorText"/></i><br /></xsl:if>
            <xsl:if test="Level != ''"><b>Level:</b><xsl:text> </xsl:text><xsl:value-of select="Level"/><br /></xsl:if>
            <xsl:if test="Category != ''"><b>Category:</b><xsl:text> </xsl:text><xsl:value-of select="Category"/><br /></xsl:if>
            <xsl:if test="Time != ''"><b>Time:</b><xsl:text> </xsl:text><xsl:value-of select="Time"/><br /></xsl:if>
            <xsl:if test="Duration != ''"><b>Duration:</b><xsl:text> </xsl:text><xsl:value-of select="Duration"/><br /></xsl:if>
            <xsl:if test="CompCost != ''"><b>Component Cost:</b><xsl:text> </xsl:text><xsl:value-of select="CompCost"/><br /></xsl:if>
            <xsl:if test="Skill != ''"><b>Skill:</b><xsl:text> </xsl:text><xsl:value-of select="Skill"/><br /></xsl:if>
            <xsl:if test="Source != ''"><b>Source:</b><xsl:text> </xsl:text><xsl:value-of select="Source"/><xsl:if test="Page != ''"><xsl:text> </xsl:text><xsl:value-of select="Page"/></xsl:if><br /></xsl:if>
            <xsl:if test="Desc != ''"><xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="Desc"/></xsl:call-template></xsl:if>
          </td>
        </tr>
      </table>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Rituals/Ritual[Name != '']">
      <xsl:sort select="Level"/>
      <xsl:sort select="Name"/>
      <xsl:if test="position() mod 4 = 3">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr><td class="ritualName"><xsl:value-of select="Name"/></td></tr>
        <tr valign="Top">
          <td>
            <xsl:if test="FlavorText != ''"><i><xsl:value-of select="FlavorText"/></i><br /></xsl:if>
            <xsl:if test="Level != ''"><b>Level:</b><xsl:text> </xsl:text><xsl:value-of select="Level"/><br /></xsl:if>
            <xsl:if test="Category != ''"><b>Category:</b><xsl:text> </xsl:text><xsl:value-of select="Category"/><br /></xsl:if>
            <xsl:if test="Time != ''"><b>Time:</b><xsl:text> </xsl:text><xsl:value-of select="Time"/><br /></xsl:if>
            <xsl:if test="Duration != ''"><b>Duration:</b><xsl:text> </xsl:text><xsl:value-of select="Duration"/><br /></xsl:if>
            <xsl:if test="CompCost != ''"><b>Component Cost:</b><xsl:text> </xsl:text><xsl:value-of select="CompCost"/><br /></xsl:if>
            <xsl:if test="Skill != ''"><b>Skill:</b><xsl:text> </xsl:text><xsl:value-of select="Skill"/><br /></xsl:if>
            <xsl:if test="Source != ''"><b>Source:</b><xsl:text> </xsl:text><xsl:value-of select="Source"/><xsl:if test="Page != ''"><xsl:text> </xsl:text><xsl:value-of select="Page"/></xsl:if><br /></xsl:if>
            <xsl:if test="Desc != ''"><xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="Desc"/></xsl:call-template></xsl:if>
          </td>
        </tr>
      </table>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
    <td width="25%">
      <xsl:for-each select="Rituals/Ritual[Name != '']">
      <xsl:sort select="Level"/>
      <xsl:sort select="Name"/>
      <xsl:if test="position() mod 4 = 0">
      <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr><td class="ritualName"><xsl:value-of select="Name"/></td></tr>
        <tr valign="Top">
          <td>
            <xsl:if test="FlavorText != ''"><i><xsl:value-of select="FlavorText"/></i><br /></xsl:if>
            <xsl:if test="Level != ''"><b>Level:</b><xsl:text> </xsl:text><xsl:value-of select="Level"/><br /></xsl:if>
            <xsl:if test="Category != ''"><b>Category:</b><xsl:text> </xsl:text><xsl:value-of select="Category"/><br /></xsl:if>
            <xsl:if test="Time != ''"><b>Time:</b><xsl:text> </xsl:text><xsl:value-of select="Time"/><br /></xsl:if>
            <xsl:if test="Duration != ''"><b>Duration:</b><xsl:text> </xsl:text><xsl:value-of select="Duration"/><br /></xsl:if>
            <xsl:if test="CompCost != ''"><b>Component Cost:</b><xsl:text> </xsl:text><xsl:value-of select="CompCost"/><br /></xsl:if>
            <xsl:if test="Skill != ''"><b>Skill:</b><xsl:text> </xsl:text><xsl:value-of select="Skill"/><br /></xsl:if>
            <xsl:if test="Source != ''"><b>Source:</b><xsl:text> </xsl:text><xsl:value-of select="Source"/><xsl:if test="Page != ''"><xsl:text> </xsl:text><xsl:value-of select="Page"/></xsl:if><br /></xsl:if>
            <xsl:if test="Desc != ''"><xsl:call-template name="format-literal-content-helper"><xsl:with-param name="text" select="Desc"/></xsl:call-template></xsl:if>
          </td>
        </tr>
      </table>
      <hr />
      </xsl:if>
      </xsl:for-each>
    </td>
  </tr>
</table>
</xsl:if>

</body>
</html>

  </xsl:template>
  <xsl:template name="format-literal-content-helper">
    <xsl:param name="text"/>
    <xsl:variable name="linebreak" select="'&#10;'"/>
    <xsl:choose>
      <xsl:when test="contains($text,$linebreak)">
        <xsl:value-of select="substring-before($text,$linebreak)" disable-output-escaping="yes"/>
        <br/>
        <xsl:call-template name="format-literal-content-helper">
          <xsl:with-param name="text" select="substring-after($text,$linebreak)"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise><xsl:value-of select="$text" disable-output-escaping="yes"/></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>